summaryrefslogtreecommitdiff
path: root/tests/test-mbrtowc-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test-mbrtowc-1.sh')
-rwxr-xr-xtests/test-mbrtowc-1.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/test-mbrtowc-1.sh b/tests/test-mbrtowc-1.sh
new file mode 100755
index 00000000..f0a1feda
--- /dev/null
+++ b/tests/test-mbrtowc-1.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Test whether the POSIX locale has encoding errors.
+LC_ALL=C \
+${CHECKER} ./test-mbrtowc${EXEEXT} 1 || exit 1
+LC_ALL=POSIX \
+${CHECKER} ./test-mbrtowc${EXEEXT} 1 || exit 1
+
+exit 0